Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## extractor.component
Class InsideClassRelation

    java.lang.Object
      |
      +--extractor.component.InsideClassRelation

public class InsideClassRelation
extends java.lang.Object

InsideClassRelation클래스는 컴포넌트에 포함된 클래스들의 관계성에 관한 데이타를 가짐.

Field Summary
`static java.lang.String` | `AGGREGATION`
`static java.lang.String` | `ASSOCIATION` 관계성의 타입 4 타입 : association, aggregation, class inheritance-extends, interface inheritance-implements)
`static java.lang.String` | `CLASS_INHERITANCE`
`(package private) java.lang.String` | `endClass` 관계성이 끝나는 클래스 이름 (association의 대상클래스, aggregation의 부분클래스/containee class, 클래스 상속의 상위클래스, 인터페이스 상속의 대상클래스)
`static java.lang.String` | `INTERFACE_INHERITANCE`
`(package private) java.lang.String` | `relationType`
`(package private) java.lang.String` | `startClass` 관계성이 시작되는 클래스 이름 (association의 시작클래스, aggregation의 전체클래스/container class, 클래스 상속의 하위클래스, 인터페이스 상속의 시작클래스)

Constructor Summary
`InsideClassRelation()`

Method Summary
`java.lang.String` | `getEndClass()`
`java.lang.String` | `getRelationType()`
`java.lang.String` | `getStartClass()`
`void` | `setEndClass(java.lang.String endClass)`
`void` | `setRelationType(java.lang.String relationType)`
`void` | `setStartClass(java.lang.String startClass)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### ASSOCIATION

    public static final java.lang.String ASSOCIATION

  관계성의 타입 4 타입 : association, aggregation, class inheritance-extends, interface inheritance-implements)

### AGGREGATION

    public static final java.lang.String AGGREGATION

### CLASS_INHERITANCE

    public static final java.lang.String CLASS_INHERITANCE

### INTERFACE_INHERITANCE

    public static final java.lang.String INTERFACE_INHERITANCE

### relationType

    java.lang.String relationType

### startClass

    java.lang.String startClass

  관계성이 시작되는 클래스 이름 (association의 시작클래스, aggregation의 전체클래스/container class, 클래스 상속의 하위클래스, 인터페이스 상속의 시작클래스)

### endClass

    java.lang.String endClass

  관계성이 끝나는 클래스 이름 (association의 대상클래스, aggregation의 부분클래스/containee class, 클래스 상속의 상위클래스, 인터페이스 상속의 대상클래스)

Constructor Detail

### InsideClassRelation

    public InsideClassRelation()

Method Detail

### setRelationType

    public void setRelationType(java.lang.String relationType)

### getRelationType

    public java.lang.String getRelationType()

### setStartClass

    public void setStartClass(java.lang.String startClass)

### getStartClass

    public java.lang.String getStartClass()

### setEndClass

    public void setEndClass(java.lang.String endClass)

### getEndClass

    public java.lang.String getEndClass()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD